compute progname = 'chwirut2.prg'
com numobs = 54
com numparams = 3
all numobs
open data chwirut2.prn
data(for=prn,org=obs)

nonlin b1 b2 b3
frml yfrml y = exp(-b1*x)/(b2+b3*x)

dec rect b(numparams,4)
input(unit=input) b
0.1         0.15          1.6657666537E-01  3.8303286810E-02
0.01        0.008         5.1653291286E-03  6.6621605126E-04
0.02        0.010         1.2150007096E-02  1.5304234767E-03


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg



* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg





