compute progname = 'misra1b.prg'
com numobs = 14
com numparams = 2
all numobs
open data misra1b.prn
data(for=prn,org=obs)

nonlin b1 b2

frml f y = b1 * (1.0 - ( 1.0 + b2*x/2.0)**(-2.0))

dec rect b(numparams,4)
input(unit=input) b
   500         300           3.3799746163E+02  3.1643950207E+00
     0.0001      0.0002      3.9039091287E-04  4.2547321834E-06

* Start 1:
compute startval = 1
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg



* Start 2:
compute startval = 2
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
***************************
source(noecho) output.prg

* Start 3:
compute startval = 3
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
***************************
source(noecho) output.prg






