compute progname = 'rat403.prg'
com numobs = 15
com numparams = 4
all numobs
open data rat403.prn
data(for=prn,org=obs)

nonlin b1 b2 b3 b4
frml f y = b1 / ((1+exp(b2-b3*x))**(1/b4))

dec rect b(numparams,4)
input(unit=input) b
   100         700           6.9964151270E+02  1.6302297817E+01
    10           5           5.2771253025E+00  2.0828735829E+00
     1           0.75        7.5962938329E-01  1.9566123451E-01
     1           1.3         1.2792483859E+00  6.8761936385E-01


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
dis b1 b2 b3 b4
nlpar(subiter=200)
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
dis b1 b2 b3 b4
nlpar(sub=1000)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
***************************
source(noecho) output.prg

* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
dis b1 b2 b3 b4
nlpar(sub=1000)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
***************************
source(noecho) output.prg





