compute progname = 'roszman1.prg'
/*
               pi = 3.141592653589793238462643383279E0
               y =  b1 - b2*x - arctan[b3/(x-b4)]/pi  +  e


*/
com numobs = 25
com numparams = 4
dis #.####################################### %pi
all numobs
open data roszman1.prn
data(for=prn,org=obs)
nonlin b1 b2 b3 b4
frml f y = ( xhat = b3/(x-b4) ), b1 - b2*x -  %atan(xhat)/%pi


dec rect b(numparams,4)
input(unit=input) b
     0.1         0.2         2.0196866396E-01  1.9172666023E-02
    -0.00001    -0.000005   -6.1953516256E-06  3.2058931691E-06
  1000        1200           1.2044556708E+03  7.4050983057E+01
  -100        -150          -1.8134269537E+02  4.9573513849E+01

* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
dis b1 b2 b3 b4
nlpar(sub=100)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
dis b1 b2 b3 b4
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg

* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
dis b1 b2 b3 b4
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



