compute progname = 'thurber.prg'
com numobs = 37
com numparams = 7
all numobs
open data thurber.prn
data(for=prn,org=obs)

nonlin b1 b2 b3 b4 b5 b6 b7

frml f y = (b1 + b2*x + b3*x**2 + b4*x**3) / (1 + b5*x + b6*x**2 + b7*x**3)

dec rect b(numparams,4)
input(unit=input) b
1000        1300          1.2881396800E+03  4.6647963344E+00
1000        1500          1.4910792535E+03  3.9571156086E+01
 400         500          5.8323836877E+02  2.8698696102E+01
  40          75          7.5416644291E+01  5.5675370270E+00
   0.7         1          9.6629502864E-01  3.1333340687E-02
   0.3         0.4        3.9797285797E-01  1.4984928198E-02
   0.03        0.05       4.9727297349E-02  6.5842344623E-03


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i),b9=b(9,i)
dis b1 b2 b3 b4 b5 b6 b7 b8
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared
***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i),b9=b(9,i)
dis b1 b2 b3 b4 b5 b6 b7 b8 b9
nlls(frml=f,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i),b9=b(9,i)
dis b1 b2 b3 b4 b5 b6 b7 b8 b9
nlls(frml=f,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg




