compute progname = 'lanczos3.prg'
com numobs = 24
com numparams = 6
all numobs
open data lanczos3.prn
data(for=prn,org=obs)

nonlin b1 b2 b3 b4 b5 b6
frml yfrml y = b1*exp(-b2*x) + b3*exp(-b4*x) + b5*exp(-b6*x)

dec rect b(numparams,4)
input(unit=input) b
1.2         0.5           8.6816414977E-02  1.7197908859E-02
0.3         0.7           9.5498101505E-01  9.7041624475E-02
5.6         3.6           8.4400777463E-01  4.1488663282E-02
5.5         4.2           2.9515951832E+00  1.0766312506E-01
6.5         4             1.5825685901E+00  5.8371576281E-02
7.6         6.3           4.9863565084E+00  3.4436403035E-02

* Start 1:
com i = 1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i)
dis b1 b2 b3 b4 b5 b6

nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i)
dis b1 b2 b3 b4 b5 b6

nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i)
dis b1 b2 b3 b4 b5 b6

nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg




